Infra > List Assets
List Assets
List assets for the current user.
Examples
curl -X GET https://medux-server-api-dev.lingverse.co/api/app/v1/assets?cursor=CURSOR&limit=LIMIT&category=MEDIA&status=PROCESSING \ -H 'Authorization: Bearer $MEDUX_API_KEY'
Auth Requirements
Authentication is required via Authorization header.
Preconditions
Try it lists the current account's assets.
Use the category filter to narrow reusable asset types.
Request
Body
application/jsonAuthorizationstringrequiredBearer token or API key.
Location: HEADER
cursorstringoptionalNo description provided.
Location: QUERY
limitint32optionalNo description provided.
Location: QUERY
categorystringoptional. assethpb.Category:
... enums:
..... CATEGORY_UNDEFINED
..... MEDIA
..... AVATAR
..... VOICE
Available options: CATEGORY_UNDEFINED MEDIA AVATAR VOICE
Location: QUERY
statusstringoptional. assethpb.Status:
... enums:
..... STATUS_UNDEFINED
..... PROCESSING
..... ACTIVE
..... LOCKED
..... EXPIRING_SOON
..... EXPIRED
..... DELETED
Available options: STATUS_UNDEFINED PROCESSING ACTIVE LOCKED EXPIRING_SOON EXPIRED DELETED
Location: QUERY
Response
Response
application/jsoncodeint32optionalresponse code enums:
.. 0: ok
.. 12: invalid input
.. 13: unauthenticated
.. 99: server error
Available options: 0 12 13 99
Location: RESPONSE
data.entitlementobjectoptionalNo description provided.
Location: RESPONSE
data.itemsarray<object>optionalNo description provided.
Location: RESPONSE
data.next_cursorstringoptionalNo description provided.
Location: RESPONSE
messagestringoptionalNo description provided.
Available options: ok invalid input unauthenticated server error
Location: RESPONSE
On this page